Company logoTrust Center Documentation
API v1 ReferenceIntegrationsApi keys

Create API key

Create a new API key with specified permissions and metadata. The signed API token is returned once. Browse request parameters, authentication requirements,…

Create a new API key with specified permissions and metadata. The signed API token is returned once.

POST
/api/v1/integrations/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "Production Integration",    "role": "account_manager"  }'
{
  "success": true,
  "data": {
    "token": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "role": "0f3d9f4e-7fcb-45f1-8824-95cb11b2b2d6",
      "expires_at": "2025-12-31T23:59:59Z",
      "created_at": "2025-01-01T10:00:00Z"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  }
}
{
  "error": "Invalid input: role: Invalid option"
}
Empty
Empty

How is this guide?